<manifest xmlns:android="http://schemas.android.com/apk/res/android"

          xmlns:tools="http://schemas.android.com/tools" package="com.fxy">

    <uses-permission android:name="android.permission.CHANGE_CONFIGURATION"
                     tools:ignore="ProtectedPermissions"/>
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.BLUETOOTH"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>

    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <!--监听网络变化-->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>


    <application
        xmlns:tools="http://schemas.android.com/tools"
        tools:replace="label"
        android:name="com.fxy.base.StorageApplication"
        android:allowBackup="true"
        android:configChanges="locale"
        android:icon="${icon}"
        android:label="${app_name}"
        android:roundIcon="${round_icon}"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"

    >

    <!--用来监听网络变化-->
    <receiver android:name=".base.NetworkChangeReceiver">
        <intent-filter>
            <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
        </intent-filter>
    </receiver>

<!--
        <provider
            android:name="com.cargo.utils.MyFileProvider"
            android:authorities="com.cargo.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/filepath" />
        </provider>
-->


        <activity
            android:name="com.fxy.LauncherActivity"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>

        </activity>
        <activity
            android:name="com.fxy.main.MainActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.fxy.login.LoginActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name="com.fxy.mine.ModifyPassWordActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.fxy.mine.FeedbackActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.fxy.base.SetLanguageActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.fxy.base.ServiceSettingActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />

        <activity
            android:name="com.fxy.mine.BlueSettingActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name="com.fxy.mine.VersionContentActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />


        <activity
            android:name="com.fxy.putIn.TallyMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />

        <activity
            android:name="com.fxy.mine.ScanSettingActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity" />
        <activity
            android:name="com.fxy.mine.ElectronicScaleActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>

        <activity
            android:name="com.fxy.mine.PictureSelectorActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>


        <activity
            android:name=".putIn.TallyMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="DuplicateActivity,LockedOrientationActivity"/>

        <activity
            android:name=".tool.OrderToolMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="DuplicateActivity,LockedOrientationActivity"/>

        <activity
            android:name=".putOut.DeliveryGoodsMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name=".putIn.TrayMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>

        <activity
            android:name=".putOut.QualityInspectionMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name=".putOut.QualityVolumeMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name=".putIn.SortationMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name=".putIn.CheckGoodsDetailsMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name=".putIn.CheckGoodsMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>

        <activity
            android:name=".putIn.PutinPhotosMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
         <activity
            android:name=".putIn.PutinPalletMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>




        <activity
            android:name=".workOrder.WorkOrderOptMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>

        <activity
            android:name=".workOrder.StartWorkOrderMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>


        <activity
            android:name=".hk.HkPutinMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name=".hk.HkOutboundMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>

        <activity
            android:name=".hk.HkTrayMainActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"/>
    </application>


</manifest>
